# Uses of Interface
java.sql.SQLData

Packages that use SQLData
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of SQLData in java.sql

Methods in java.sql with parameters of type SQLData
Modifier and Type
Method
Description
`void`
SQLOutput.`writeObject(SQLData x)`
Writes to the stream the data contained in the given `SQLData` object.

## Uses of SQLData in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial with parameters of type SQLData
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeObject(SQLData x)`
Writes to the stream the data contained in the given `SQLData` object.
Constructors in javax.sql.rowset.serial with parameters of type SQLData
Modifier
Constructor
Description
``
`SerialStruct(SQLData in, Map<String,Class<?>> map)`
Constructs a `SerialStruct` object from the given `SQLData` object, using the given type map to custom map it to a class in the Java programming language.